Document signers
Create a Document signer
/v2/credentials/mobile/document-signersCreates a new Document Signer that can be used to sign new mDocs.
- Only available in implementations using unmanaged (external) IACAs.
- A maximum of five Document Signers can be created per tenant.
Roles
Analytics Events
Authorization
bearerAuth In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v2/credentials/mobile/document-signers" \ -H "Content-Type: application/json" \ -d '{ "iacaId": "080c670a-2e90-4023-b79f-b706e55e9bc6" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "iacaId": "080c670a-2e90-4023-b79f-b706e55e9bc6", "active": true, "csrPem": "string"}Revoke a Document signer
/v2/credentials/mobile/document-signers/{documentSignerId}/revokeRevokes an existing Document Signer, making it unusable for signing new mDocs.
If the verifier checks the CRL referenced in the IACA certificate, it must treat revoked Document Signers and any mDocs they signed as untrusted.
Roles
Analytics Events
Authorization
bearerAuth In: header
Path Parameters
Document Signer identifier
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Empty request body for document signer revocation
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v2/credentials/mobile/document-signers/497f6eca-6276-4993-bfeb-53cbbbba6f08/revoke" \ -H "Content-Type: application/json" \ -d '{}'{ "revoked": true, "revocationDate": "string"}Retrieve all Document signers
/v2/credentials/mobile/document-signersRetrieves all existing Document Signers from the tenant.
Roles
Analytics Events
Authorization
bearerAuth In: header
Response Body
application/json
curl -X GET "https://example.com/v2/credentials/mobile/document-signers"{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "iacaId": "080c670a-2e90-4023-b79f-b706e55e9bc6", "active": true, "csrPem": "string" } ], "nextCursor": "string"}Retrieve a Document signer
/v2/credentials/mobile/document-signers/{documentSignerId}Retrieves an existing Document Signer by providing its ID.
Roles
Analytics Events
Authorization
bearerAuth In: header
Path Parameters
Document Signer ID
uuidResponse Body
application/json
application/json
curl -X GET "https://example.com/v2/credentials/mobile/document-signers/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "iacaId": "080c670a-2e90-4023-b79f-b706e55e9bc6", "active": true, "csrPem": "string"}Update a Document signer
/v2/credentials/mobile/document-signers/{documentSignerId}Updates an existing Document Signer by providing its ID and active parameter.
Only available in implementations using unmanaged (external) IACAs.
Roles
Analytics Events
Authorization
bearerAuth In: header
Path Parameters
Document Signer ID
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PUT "https://example.com/v2/credentials/mobile/document-signers/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "active": true }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "iacaId": "080c670a-2e90-4023-b79f-b706e55e9bc6", "active": true, "certificatePem": "string", "certificateFingerprint": "string", "certificateData": { "notAfter": "2019-08-24", "notBefore": "2019-08-24", "country": "string", "stateOrProvinceName": "string", "commonName": "{tenantDomain} Document Signer" }}Delete a Document signer
/v2/credentials/mobile/document-signers/{documentSignerId}Deletes an existing Document Signer by providing its ID.
Only available in implementations using unmanaged (external) IACAs.
Roles
Analytics Events
Authorization
bearerAuth In: header
Path Parameters
Document Signer ID
uuidResponse Body
application/json
curl -X DELETE "https://example.com/v2/credentials/mobile/document-signers/497f6eca-6276-4993-bfeb-53cbbbba6f08"How would you rate this page?
Last updated on